ShopTransaction:setFreePurchase(true)

respinPrompt = UITutorialPrompt:create(UITutorialTag_RouletteRespinButton, 0)

coachPanel = CoachPanel:create("TutorialSpecialRoulette", false)
coachPanel:show(190)
respinPrompt:addChild(coachPanel, ZOrder_Behind)

respinPrompt:setLightRayScale(0.6)
coroutine.yield(respinPrompt)

ShopTransaction:setFreePurchase(false)